Tasuku
ReferenceAPI referenceRepositories

Enable or pause Tasuku reviews for a repository

Requires ADMIN or SUPER_USER. Enabling requires a current passing configuration readiness check, and the repository must still be accessible to the GitHub App.

PATCH/organizations/{organization_id}/repositories/{repository_id}

Requires ADMIN or SUPER_USER. Enabling requires a current passing configuration readiness check, and the repository must still be accessible to the GitHub App.

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
repository_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organizations/string/repositories/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "data": {    "id": "string",    "owner": "string",    "name": "string",    "default_branch": "string",    "enabled": true,    "available": true,    "readiness_status": "NOT_RUN"  }}